/**
  *  \file ui/richhelp.h
  *
  *  (c) 2001-2020 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_RICHHELP_H
#define PCC_V2_UI_RICHHELP_H

#include "cpluslib/string.h"
#include "ui/richtext.h"

class RichDocument;
class XmlReader;

void loadHelpPage(RichDocument& doc, XmlReader& rdr);
void parseRichDocument(RichDocument& doc, string_t text);
RichText parseRichText(string_t text);

#endif
